Package org.apache.storm.sql

## Class StormSql

- java.lang.Object
- - org.apache.storm.sql.StormSql

-     public abstract class StormSql
      extends Object

  The StormSql class provides standalone, interactive interfaces to execute SQL statements over streaming data.

  The StormSql class is stateless. The user needs to submit the data definition language (DDL) statements and the query statements in the same batch.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StormSql()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StormSql` | `construct()` |
    `abstract void` | `explain​(Iterable<String> statements)` | Print out query plan for each query.
    `abstract void` | `submit​(String name, Iterable<String> statements, Map<String,​Object> topoConf, SubmitOptions opts, StormSubmitter.ProgressListener progressListener, String asUser)` | Submit the SQL statements to Nimbus and run it as a topology.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StormSql

          public StormSql()

  - ### Method Detail

    - #### construct

          public static StormSql construct()

    - #### submit

          public abstract void submit​(String name,
                                      Iterable<String> statements,
                                      Map<String,​Object> topoConf,
                                      SubmitOptions opts,
                                      StormSubmitter.ProgressListener progressListener,
                                      String asUser)
                               throws Exception

      Submit the SQL statements to Nimbus and run it as a topology.
      Throws:
        `Exception`

    - #### explain

          public abstract void explain​(Iterable<String> statements)
                                throws Exception

      Print out query plan for each query.
      Throws:
        `Exception`